Cloudflare Zero Trust Network Session Logs
Overview
Cloudflare is a global network designed to make everything you connect to the Internet secure, private, fast, and reliable. In this documentation, you will learn how to collect and send Cloudflare Zero Trust Network Session Logs to Sekoia.io.
- Vendor: Cloudflare
- Supported environment: SaaS
- Detection based on: Telemetry
- Supported application or feature: Network protocol analysis, Netflow/Enclave netflow, SSL/TLS inspection, Web proxy
Configuration
Create the intake on Sekoia.io
Go to the intake page and create a new intake from the format Cloudflare.
Configure events forwarding on Cloudflare
Retrieve necessary information
First, you will have to retrieve configuration information. Connect to Cloudflare Console to collect the following :
-
Cloudflare API Token
- Go to
My Profile, then on the left panel, click onAPI Tokens. - Click on the
Create Tokenbutton and select theCreate Custom Tokenentry. - Give a name to your token and set the following permissions:
Scope Group Level Account Account Analytics Read Account Logs Read Account Logs Edit Zone Logs Read Zone Logs Edit - If you want zerotrust logs you should also add:
Scope Group Level Account Zero Trust Read - Go to
-
Cloudflare Zone ID :
- This information is specific to a Website.
- On the left panel, click on
Websitesand select the Website you want. - On the right panel, there is an
APIsection where you can retrieve theZone ID.
Create a Logpush job
Configure a Logpush job with the following destination:
https://intake.sekoia.io/plain/batch?header_X-SEKOIAIO-INTAKE-KEY=<YOUR_INTAKE_KEY>
Warning
The previous URL works for the FRA1 region. For any other region, replace the domain "intake.sekoia.io" with your region's HTTP-intake domain, for example:
https://app.usa1.sekoia.io/api/v1/intake-http
You can find your region's domain here: https://docs.sekoia.com/getting_started/regions/
To do so, you can manage Logpush with cURL:
$ curl -X POST 'https://api.cloudflare.com/client/v4/accounts/<CLOUDFLARE_ACCOUNT_ID>/logpush/jobs' \
-H 'Authorization: Bearer <CLOUDFLARE_API_TOKEN>' \
-H "Content-Type: application/json" \
-d '{
"dataset": "zero_trust_network_sessions",
"enabled": true,
"max_upload_bytes": 5000000,
"max_upload_records": 1000,
"logpull_options":"fields=AccountID,BytesReceived,BytesSent,ClientTCPHandshakeDurationMs,ClientTLSCipher,ClientTLSHandshakeDurationMs,ClientTLSVersion,ConnectionCloseReason,ConnectionReuse,DestinationTunnelID,DetectedProtocol,DeviceID,DeviceName,EgressColoName,EgressIP,EgressPort,EgressRuleID,EgressRuleName,Email,IngressColoName,InitialOriginIP,Offramp,OriginIP,OriginPort,OriginTLSCertificateIssuer,OriginTLSCertificateValidationResult,OriginTLSCipher,OriginTLSHandshakeDurationMs,OriginTLSVersion,Protocol,RegistrationID,ResolvedFQDN,RuleEvaluationDurationMs,SessionEndTime,SessionID,SessionStartTime,SourceIP,SourceInternalIP,SourcePort,UserID,VirtualNetworkID×tamps=rfc3339",
"destination_conf": "https://intake.sekoia.io/plain/batch?header_X-SEKOIAIO-INTAKE-KEY=<YOUR_INTAKE_KEY>"
}' # (1)
- will return
{ "errors": [], "messages": [], "result": { "id": "<ID>", "dataset": "zero_trust_network_sessions", "frequency": "high", "kind": "", "max_upload_bytes": 5000000, "max_upload_records": 1000, "enabled": true, "name": "<DOMAIN_NAME>", "logpull_options": "fields=<LIST_OF_FIELDS>", "destination_conf": "https://intake.sekoia.io/plain/batch?header_X-SEKOIAIO-INTAKE-KEY=<YOUR_INTAKE_KEY>", "last_complete": null, "last_error": null, "error_message": null, "time_created": "<TIMESTAMP>" }, "success": true }
Important
Replace:
<YOUR_INTAKE_KEY>with the Intake key you generated in the Create the intake on Sekoia.io step.<CLOUDFLARE_ACCOUNT_ID>with the ACCOUNT_ID found on the overview page<CLOUDFLARE_API_TOKEN>with the API Token you generated
Useful Cloudflare API endpoints
On their documentation, Cloudflare provides a list API endpoints you can use. Find below some useful endpoints:
https://api.cloudflare.com/client/v4/accounts/<ACCOUNT_ID>/logpush/jobs/<JOB_ID>to verify the job you previously created is correct (you need to specify theJOB_ID)https://api.cloudflare.com/client/v4/accounts/<ACCOUNT_ID>/logpush/datasets/<DATASET>/jobsto get all the jobs for a specific dataset (dns_log,firewalls_eventsorhttp_requestsin our case)https://api.cloudflare.com/client/v4/accounts/<ACCOUNT_ID>/logpush/jobs/<JOB_ID>to update a job if you noticed a mistake after the creation of the job (wrong fields, wrong SEKOIA API Key...)
Raw Events Samples
In this section, you will find examples of raw logs as generated natively by the source. These examples are provided to help integrators understand the data format before ingestion into Sekoia.io. It is crucial for setting up the correct parsing stages and ensuring that all relevant information is captured.
{
"AccountID": "00000000000000000000000000000000",
"BytesReceived": 120,
"BytesSent": 80,
"ClientTCPHandshakeDurationMs": 10,
"ClientTLSCipher": "",
"ClientTLSHandshakeDurationMs": 0,
"ClientTLSVersion": "none",
"ConnectionCloseReason": "CLIENT_IDLE_TIMEOUT",
"ConnectionReuse": false,
"DestinationTunnelID": "",
"DetectedProtocol": "dns",
"DeviceID": "",
"DeviceName": "",
"EgressColoName": "AMS",
"EgressIP": "192.0.2.6",
"EgressPort": 53,
"EgressRuleID": "",
"EgressRuleName": "",
"Email": "",
"IngressColoName": "AMS",
"InitialOriginIP": "0.0.0.0",
"Offramp": "INTERNET",
"OriginIP": "198.51.100.70",
"OriginPort": 53,
"OriginTLSCertificateIssuer": "",
"OriginTLSCertificateValidationResult": "NONE",
"OriginTLSCipher": "",
"OriginTLSHandshakeDurationMs": 0,
"OriginTLSVersion": "none",
"Protocol": "UDP",
"RegistrationID": "",
"ResolvedFQDN": "",
"RuleEvaluationDurationMs": 1,
"SessionEndTime": "2026-02-11T03:05:12Z",
"SessionID": "def456abc123def456abc123def4560",
"SessionStartTime": "2026-02-11T03:04:00Z",
"SourceIP": "203.0.113.20",
"SourceInternalIP": "",
"SourcePort": 40100,
"UserID": "",
"VirtualNetworkID": ""
}
{
"AccountID": "00000000000000000000000000000000",
"BytesReceived": 28718,
"BytesSent": 16278,
"ClientTCPHandshakeDurationMs": 29,
"ClientTLSCipher": "",
"ClientTLSHandshakeDurationMs": 0,
"ClientTLSVersion": "none",
"ConnectionCloseReason": "CLIENT_CLOSED",
"ConnectionReuse": false,
"DestinationTunnelID": "93589057-cf67-1726-55bf-cd874d40c182",
"DetectedProtocol": "ssh",
"DeviceID": "efdac52d-d59f-365e-2ad7-97d4fc1f77ae",
"DeviceName": "fedora",
"EgressColoName": "CDG",
"EgressIP": "192.0.2.1",
"EgressPort": 33040,
"EgressRuleID": "75ebe064-5d5b-4696-de3a-29979af5d505",
"EgressRuleName": "Default egress policy",
"Email": "user@example.com",
"IngressColoName": "CDG",
"InitialOriginIP": "0.0.0.0",
"Offramp": "CFD_TUNNEL",
"OriginIP": "192.0.2.10",
"OriginPort": 22,
"OriginTLSCertificateIssuer": "Cloudflare Inc ECC CA-3",
"OriginTLSCertificateValidationResult": "NONE",
"OriginTLSCipher": "",
"OriginTLSHandshakeDurationMs": 0,
"OriginTLSVersion": "none",
"Protocol": "TCP",
"RegistrationID": "efdac52d-d59f-365e-2ad7-97d4fc1f77ae",
"ResolvedFQDN": "",
"RuleEvaluationDurationMs": 4,
"SessionEndTime": "2026-02-03T16:38:03Z",
"SessionID": "8ede6bd685da04162a8aa908ce650ea5",
"SessionStartTime": "2026-02-03T16:38:02Z",
"SourceIP": "198.51.100.20",
"SourceInternalIP": "203.0.113.30",
"SourcePort": 33040,
"UserID": "",
"VirtualNetworkID": "c95bb9b3-8edb-b8b8-33c6-091e772b23d2"
}
{
"AccountID": "00000000000000000000000000000000",
"BytesReceived": 5000,
"BytesSent": 2000,
"ClientTCPHandshakeDurationMs": 0,
"ClientTLSCipher": "TLS_AES_128_GCM_SHA256",
"ClientTLSHandshakeDurationMs": 22,
"ClientTLSVersion": "TLSv1.3",
"ConnectionCloseReason": "ORIGIN_CLOSED",
"ConnectionReuse": true,
"DestinationTunnelID": "",
"DetectedProtocol": "quic",
"DeviceID": "11111111-2222-3333-4444-555555555555",
"DeviceName": "corp-laptop",
"EgressColoName": "LHR",
"EgressIP": "192.0.2.5",
"EgressPort": 443,
"EgressRuleID": "",
"EgressRuleName": "",
"Email": "user2@example.com",
"IngressColoName": "LHR",
"InitialOriginIP": "198.51.100.55",
"Offramp": "WARP",
"OriginIP": "198.51.100.55",
"OriginPort": 443,
"OriginTLSCertificateIssuer": "Example CA",
"OriginTLSCertificateValidationResult": "VALID",
"OriginTLSCipher": "TLS_AES_256_GCM_SHA384",
"OriginTLSHandshakeDurationMs": 18,
"OriginTLSVersion": "TLSv1.3",
"Protocol": "UDP",
"RegistrationID": "11111111-2222-3333-4444-555555555555",
"ResolvedFQDN": "app.example.com",
"RuleEvaluationDurationMs": 2,
"SessionEndTime": "2026-02-10T09:15:30Z",
"SessionID": "abc123def456abc123def456abc1234",
"SessionStartTime": "2026-02-10T09:14:00Z",
"SourceIP": "203.0.113.15",
"SourceInternalIP": "203.0.113.16",
"SourcePort": 54321,
"UserID": "66666666-7777-8888-9999-000000000000",
"VirtualNetworkID": ""
}
Detection section
The following section provides information for those who wish to learn more about the detection capabilities enabled by collecting this intake. It includes details about the built-in rule catalog, event categories, and ECS fields extracted from raw events. This is essential for users aiming to create custom detection rules, perform hunting activities, or pivot in the events page.
Related Built-in Rules
The following Sekoia.io built-in rules match the intake Cloudflare Zero Trust Network Session Logs. This documentation is updated automatically and is based solely on the fields used by the intake which are checked against our rules. This means that some rules will be listed but might not be relevant with the intake.
SEKOIA.IO x Cloudflare Zero Trust Network Session Logs on ATT&CK Navigator
Burp Suite Tool Detected
Burp Suite is a cybersecurity tool. When used as a proxy service, its purpose is to intercept packets and modify them to send them to the server. Burp Collaborator is a network service that Burp Suite uses to help discover many kinds of vulnerabilities (vulnerabilities scanner).
- Effort: intermediate
Correlation Potential DNS Tunnel
Detects domain name which is longer than 62 characters and requested at least 50 times in a 10 minutes range time. Long domain names are distinctive of DNS tunnels.
- Effort: advanced
Cryptomining
Detection of domain names potentially related to cryptomining activities.
- Effort: master
Dynamic DNS Contacted
Detect communication with dynamic dns domain. This kind of domain is often used by attackers. This rule can trigger false positive in non-controlled environment because dynamic dns is not always malicious.
- Effort: master
EvilProxy Phishing Domain
Detects subdomains potentially generated by the EvilProxy adversary-in-the-middle phishing platform. Inspect the other subdomains of the domain to identify the landing page, and determine if the user submitted credentials. This rule has a small percentage of false positives on legitimate domains.
- Effort: intermediate
Exfiltration Domain
Detects traffic toward a domain flagged as a possible exfiltration vector.
- Effort: master
Potential DNS Tunnel
Detects domain name which is longer than 62 characters. Long domain names are distinctive of DNS tunnels.
- Effort: advanced
Remote Access Tool Domain
Detects traffic toward a domain flagged as a Remote Administration Tool (RAT).
- Effort: master
Remote Monitoring and Management Software - AnyDesk
Detect artifacts related to the installation or execution of the Remote Monitoring and Management tool AnyDesk.
- Effort: master
Remote Monitoring and Management Software - Atera
Detect artifacts related to the installation or execution of the Remote Monitoring and Management tool Atera.
- Effort: master
SEKOIA.IO Intelligence Feed
Detect threats based on indicators of compromise (IOCs) collected by SEKOIA's Threat and Detection Research team.
- Effort: elementary
Sekoia.io EICAR Detection
Detects observables in Sekoia.io CTI tagged as EICAR, which are fake samples meant to test detection.
- Effort: master
Suspicious TOR Gateway
Detects suspicious TOR gateways. Gateways are often used by the victim to pay and decrypt the encrypted files without installing TOR. Tor intercepts the network traffic from one or more apps on user’s computer, usually the user web browser, and shuffles it through a number of randomly-chosen computers before passing it on to its destination. This disguises user location, and makes it harder for servers to pick him/her out on repeat visits, or to tie together separate visits to different sites, this making tracking and surveillance more difficult. Before a network packet starts its journey, user’s computer chooses a random list of relays and repeatedly encrypts the data in multiple layers, like an onion. Each relay knows only enough to strip off the outermost layer of encryption, before passing what’s left on to the next relay in the list.
- Effort: advanced
TOR Usage
Detects TOR usage, based on the IP address and the destination port (filtered on NTP). TOR is short for The Onion Router, and it gets its name from how it works. TOR intercepts the network traffic from one or more apps on user’s computer, usually the user web browser, and shuffles it through a number of randomly-chosen computers before passing it on to its destination. This disguises user location, and makes it harder for servers to pick him/her out on repeat visits, or to tie together separate visits to different sites, this making tracking and surveillance more difficult. Before a network packet starts its journey, user’s computer chooses a random list of relays and repeatedly encrypts the data in multiple layers, like an onion. Each relay knows only enough to strip off the outermost layer of encryption, before passing what’s left on to the next relay in the list.
- Effort: master
TOR Usage Generic Rule
Detects TOR usage globally, whether the IP is a destination or source. TOR is short for The Onion Router, and it gets its name from how it works. TOR intercepts the network traffic from one or more apps on user’s computer, usually the user web browser, and shuffles it through a number of randomly-chosen computers before passing it on to its destination. This disguises user location, and makes it harder for servers to pick him/her out on repeat visits, or to tie together separate visits to different sites, this making tracking and surveillance more difficult. Before a network packet starts its journey, user’s computer chooses a random list of relays and repeatedly encrypts the data in multiple layers, like an onion. Each relay knows only enough to strip off the outermost layer of encryption, before passing what’s left on to the next relay in the list.
- Effort: master
Telegram Bot API Request
Detects suspicious DNS queries to api.telegram.org used by Telegram Bots of any kind
- Effort: advanced
Event Categories
The following table lists the data source offered by this integration.
| Data Source | Description |
|---|---|
Network protocol analysis |
Network sessions and protocols analyzed by Cloudflare Zero Trust |
Netflow/Enclave netflow |
Network flow metadata for proxied connections |
SSL/TLS inspection |
TLS handshakes, ciphers, and certificate validation details |
Web proxy |
Network traffic proxied through Cloudflare Zero Trust Gateway |
In details, the following table denotes the type of events produced by this integration.
| Name | Values |
|---|---|
| Kind | event |
| Category | network |
| Type | connection |
Transformed Events Samples after Ingestion
This section demonstrates how the raw logs will be transformed by our parsers. It shows the extracted fields that will be available for use in the built-in detection rules and hunting activities in the events page. Understanding these transformations is essential for analysts to create effective detection mechanisms with custom detection rules and to leverage the full potential of the collected data.
{
"message": "{\"AccountID\":\"00000000000000000000000000000000\",\"BytesReceived\":120,\"BytesSent\":80,\"ClientTCPHandshakeDurationMs\":10,\"ClientTLSCipher\":\"\",\"ClientTLSHandshakeDurationMs\":0,\"ClientTLSVersion\":\"none\",\"ConnectionCloseReason\":\"CLIENT_IDLE_TIMEOUT\",\"ConnectionReuse\":false,\"DestinationTunnelID\":\"\",\"DetectedProtocol\":\"dns\",\"DeviceID\":\"\",\"DeviceName\":\"\",\"EgressColoName\":\"AMS\",\"EgressIP\":\"192.0.2.6\",\"EgressPort\":53,\"EgressRuleID\":\"\",\"EgressRuleName\":\"\",\"Email\":\"\",\"IngressColoName\":\"AMS\",\"InitialOriginIP\":\"0.0.0.0\",\"Offramp\":\"INTERNET\",\"OriginIP\":\"198.51.100.70\",\"OriginPort\":53,\"OriginTLSCertificateIssuer\":\"\",\"OriginTLSCertificateValidationResult\":\"NONE\",\"OriginTLSCipher\":\"\",\"OriginTLSHandshakeDurationMs\":0,\"OriginTLSVersion\":\"none\",\"Protocol\":\"UDP\",\"RegistrationID\":\"\",\"ResolvedFQDN\":\"\",\"RuleEvaluationDurationMs\":1,\"SessionEndTime\":\"2026-02-11T03:05:12Z\",\"SessionID\":\"def456abc123def456abc123def4560\",\"SessionStartTime\":\"2026-02-11T03:04:00Z\",\"SourceIP\":\"203.0.113.20\",\"SourceInternalIP\":\"\",\"SourcePort\":40100,\"UserID\":\"\",\"VirtualNetworkID\":\"\"}",
"event": {
"action": "network-session",
"category": [
"network"
],
"dataset": "zero_trust_network_sessions",
"end": "2026-02-11T03:05:12Z",
"kind": "event",
"reason": "CLIENT_IDLE_TIMEOUT",
"start": "2026-02-11T03:04:00Z",
"type": [
"connection"
]
},
"@timestamp": "2026-02-11T03:04:00Z",
"cloud": {
"account": {
"id": "00000000000000000000000000000000"
}
},
"cloudflare": {
"ClientTCPHandshakeDurationMs": 10,
"ClientTLSVersion": "none",
"ConnectionCloseReason": "CLIENT_IDLE_TIMEOUT",
"ConnectionReuse": false,
"EgressColoName": "AMS",
"EgressIP": "192.0.2.6",
"EgressPort": 53,
"IngressColoName": "AMS",
"Offramp": "INTERNET",
"OriginTLSCertificateValidationResult": "NONE",
"OriginTLSVersion": "none",
"RuleEvaluationDurationMs": 1,
"SessionID": "def456abc123def456abc123def4560"
},
"destination": {
"address": "198.51.100.70",
"bytes": 120,
"ip": "198.51.100.70",
"port": 53
},
"network": {
"bytes": 200,
"protocol": "dns",
"transport": "udp"
},
"observer": {
"type": "proxy",
"vendor": "Cloudflare"
},
"related": {
"ip": [
"198.51.100.70",
"203.0.113.20"
]
},
"source": {
"address": "203.0.113.20",
"bytes": 80,
"ip": "203.0.113.20",
"port": 40100
}
}
{
"message": "{\"AccountID\":\"00000000000000000000000000000000\",\"BytesReceived\":28718,\"BytesSent\":16278,\"ClientTCPHandshakeDurationMs\":29,\"ClientTLSCipher\":\"\",\"ClientTLSHandshakeDurationMs\":0,\"ClientTLSVersion\":\"none\",\"ConnectionCloseReason\":\"CLIENT_CLOSED\",\"ConnectionReuse\":false,\"DestinationTunnelID\":\"93589057-cf67-1726-55bf-cd874d40c182\",\"DetectedProtocol\":\"ssh\",\"DeviceID\":\"efdac52d-d59f-365e-2ad7-97d4fc1f77ae\",\"DeviceName\":\"fedora\",\"EgressColoName\":\"CDG\",\"EgressIP\":\"192.0.2.1\",\"EgressPort\":33040,\"EgressRuleID\":\"75ebe064-5d5b-4696-de3a-29979af5d505\",\"EgressRuleName\":\"Default egress policy\",\"Email\":\"user@example.com\",\"IngressColoName\":\"CDG\",\"InitialOriginIP\":\"0.0.0.0\",\"Offramp\":\"CFD_TUNNEL\",\"OriginIP\":\"192.0.2.10\",\"OriginPort\":22,\"OriginTLSCertificateIssuer\":\"Cloudflare Inc ECC CA-3\",\"OriginTLSCertificateValidationResult\":\"NONE\",\"OriginTLSCipher\":\"\",\"OriginTLSHandshakeDurationMs\":0,\"OriginTLSVersion\":\"none\",\"Protocol\":\"TCP\",\"RegistrationID\":\"efdac52d-d59f-365e-2ad7-97d4fc1f77ae\",\"ResolvedFQDN\":\"\",\"RuleEvaluationDurationMs\":4,\"SessionEndTime\":\"2026-02-03T16:38:03Z\",\"SessionID\":\"8ede6bd685da04162a8aa908ce650ea5\",\"SessionStartTime\":\"2026-02-03T16:38:02Z\",\"SourceIP\":\"198.51.100.20\",\"SourceInternalIP\":\"203.0.113.30\",\"SourcePort\":33040,\"UserID\":\"\",\"VirtualNetworkID\":\"c95bb9b3-8edb-b8b8-33c6-091e772b23d2\"}",
"event": {
"action": "network-session",
"category": [
"network"
],
"dataset": "zero_trust_network_sessions",
"end": "2026-02-03T16:38:03Z",
"id": "00000000-0000-0000-0000-000000000000",
"kind": "event",
"reason": "CLIENT_CLOSED",
"start": "2026-02-03T16:38:02Z",
"type": [
"connection"
]
},
"@timestamp": "2026-02-03T16:38:02Z",
"cloud": {
"account": {
"id": "00000000000000000000000000000000"
}
},
"cloudflare": {
"ClientTCPHandshakeDurationMs": 29,
"ClientTLSVersion": "none",
"ConnectionCloseReason": "CLIENT_CLOSED",
"ConnectionReuse": false,
"DestinationTunnelID": "93589057-cf67-1726-55bf-cd874d40c182",
"EgressColoName": "CDG",
"EgressIP": "192.0.2.1",
"EgressPort": 33040,
"EgressRuleID": "75ebe064-5d5b-4696-de3a-29979af5d505",
"EgressRuleName": "Default egress policy",
"IngressColoName": "CDG",
"Offramp": "CFD_TUNNEL",
"OriginTLSCertificateValidationResult": "NONE",
"OriginTLSVersion": "none",
"RegistrationID": "efdac52d-d59f-365e-2ad7-97d4fc1f77ae",
"RuleEvaluationDurationMs": 4,
"SessionID": "8ede6bd685da04162a8aa908ce650ea5",
"VirtualNetworkID": "c95bb9b3-8edb-b8b8-33c6-091e772b23d2"
},
"destination": {
"address": "192.0.2.10",
"bytes": 28718,
"ip": "192.0.2.10",
"port": 22
},
"device": {
"id": "efdac52d-d59f-365e-2ad7-97d4fc1f77ae",
"model": {
"name": "fedora"
}
},
"network": {
"bytes": 44996,
"protocol": "ssh",
"transport": "tcp"
},
"observer": {
"type": "proxy",
"vendor": "Cloudflare"
},
"related": {
"ip": [
"192.0.2.10",
"198.51.100.20",
"203.0.113.30"
]
},
"rule": {
"id": "75ebe064-5d5b-4696-de3a-29979af5d505",
"name": "Default egress policy"
},
"source": {
"address": "198.51.100.20",
"bytes": 16278,
"ip": "198.51.100.20",
"nat": {
"ip": "203.0.113.30"
},
"port": 33040
},
"tls": {
"server": {
"x509": {
"issuer": {
"common_name": "Cloudflare Inc ECC CA-3"
}
}
}
},
"user": {
"email": "user@example.com"
}
}
{
"message": "{\"AccountID\":\"00000000000000000000000000000000\",\"BytesReceived\":5000,\"BytesSent\":2000,\"ClientTCPHandshakeDurationMs\":0,\"ClientTLSCipher\":\"TLS_AES_128_GCM_SHA256\",\"ClientTLSHandshakeDurationMs\":22,\"ClientTLSVersion\":\"TLSv1.3\",\"ConnectionCloseReason\":\"ORIGIN_CLOSED\",\"ConnectionReuse\":true,\"DestinationTunnelID\":\"\",\"DetectedProtocol\":\"quic\",\"DeviceID\":\"11111111-2222-3333-4444-555555555555\",\"DeviceName\":\"corp-laptop\",\"EgressColoName\":\"LHR\",\"EgressIP\":\"192.0.2.5\",\"EgressPort\":443,\"EgressRuleID\":\"\",\"EgressRuleName\":\"\",\"Email\":\"user2@example.com\",\"IngressColoName\":\"LHR\",\"InitialOriginIP\":\"198.51.100.55\",\"Offramp\":\"WARP\",\"OriginIP\":\"198.51.100.55\",\"OriginPort\":443,\"OriginTLSCertificateIssuer\":\"Example CA\",\"OriginTLSCertificateValidationResult\":\"VALID\",\"OriginTLSCipher\":\"TLS_AES_256_GCM_SHA384\",\"OriginTLSHandshakeDurationMs\":18,\"OriginTLSVersion\":\"TLSv1.3\",\"Protocol\":\"UDP\",\"RegistrationID\":\"11111111-2222-3333-4444-555555555555\",\"ResolvedFQDN\":\"app.example.com\",\"RuleEvaluationDurationMs\":2,\"SessionEndTime\":\"2026-02-10T09:15:30Z\",\"SessionID\":\"abc123def456abc123def456abc1234\",\"SessionStartTime\":\"2026-02-10T09:14:00Z\",\"SourceIP\":\"203.0.113.15\",\"SourceInternalIP\":\"203.0.113.16\",\"SourcePort\":54321,\"UserID\":\"66666666-7777-8888-9999-000000000000\",\"VirtualNetworkID\":\"\"}",
"event": {
"action": "network-session",
"category": [
"network"
],
"dataset": "zero_trust_network_sessions",
"end": "2026-02-10T09:15:30Z",
"kind": "event",
"reason": "ORIGIN_CLOSED",
"start": "2026-02-10T09:14:00Z",
"type": [
"connection"
]
},
"@timestamp": "2026-02-10T09:14:00Z",
"cloud": {
"account": {
"id": "00000000000000000000000000000000"
}
},
"cloudflare": {
"ClientTLSCipher": "TLS_AES_128_GCM_SHA256",
"ClientTLSHandshakeDurationMs": 22,
"ClientTLSVersion": "TLSv1.3",
"ConnectionCloseReason": "ORIGIN_CLOSED",
"ConnectionReuse": true,
"EgressColoName": "LHR",
"EgressIP": "192.0.2.5",
"EgressPort": 443,
"IngressColoName": "LHR",
"InitialOriginIP": "198.51.100.55",
"Offramp": "WARP",
"OriginTLSCertificateValidationResult": "VALID",
"OriginTLSCipher": "TLS_AES_256_GCM_SHA384",
"OriginTLSHandshakeDurationMs": 18,
"OriginTLSVersion": "TLSv1.3",
"RegistrationID": "11111111-2222-3333-4444-555555555555",
"RuleEvaluationDurationMs": 2,
"SessionID": "abc123def456abc123def456abc1234"
},
"destination": {
"address": "app.example.com",
"bytes": 5000,
"domain": "app.example.com",
"ip": "198.51.100.55",
"nat": {
"ip": "198.51.100.55"
},
"port": 443,
"registered_domain": "example.com",
"subdomain": "app",
"top_level_domain": "com"
},
"device": {
"id": "11111111-2222-3333-4444-555555555555",
"model": {
"name": "corp-laptop"
}
},
"network": {
"bytes": 7000,
"protocol": "quic",
"transport": "udp"
},
"observer": {
"type": "proxy",
"vendor": "Cloudflare"
},
"related": {
"hosts": [
"app.example.com"
],
"ip": [
"198.51.100.55",
"203.0.113.15",
"203.0.113.16"
]
},
"source": {
"address": "203.0.113.15",
"bytes": 2000,
"ip": "203.0.113.15",
"nat": {
"ip": "203.0.113.16"
},
"port": 54321
},
"tls": {
"cipher": "TLS_AES_128_GCM_SHA256",
"server": {
"x509": {
"issuer": {
"common_name": "Example CA"
}
}
},
"version": "TLSv1.3"
},
"user": {
"email": "user2@example.com",
"id": "66666666-7777-8888-9999-000000000000"
}
}
Extracted Fields
The following table lists the fields that are extracted, normalized under the ECS format, analyzed and indexed by the parser. It should be noted that infered fields are not listed.
| Name | Type | Description |
|---|---|---|
@timestamp |
date |
Date/time when the event originated. |
cloud.account.id |
keyword |
The cloud account or organization id. |
cloudflare.ClientTCPHandshakeDurationMs |
number |
Duration of handshaking the TCP connection between the client and Cloudflare in milliseconds. |
cloudflare.ClientTLSCipher |
text |
TLS cipher suite used in the connection between the client and Cloudflare. |
cloudflare.ClientTLSHandshakeDurationMs |
number |
Duration of handshaking the TLS connection between the client and Cloudflare in milliseconds. |
cloudflare.ClientTLSVersion |
text |
TLS protocol version used in the connection between the client and Cloudflare. |
cloudflare.ConnectionCloseReason |
text |
The reason for closing the connection, only applicable for TCP. |
| Possible values are CLIENT_CLOSED | CLIENT_IDLE_TIMEOUT | CLIENT_TLS_ERROR |
cloudflare.ConnectionReuse |
boolean |
Whether the TCP connection was reused for multiple HTTP requests. |
cloudflare.DestinationTunnelID |
text |
Identifier of the Cloudflare One connector to which the network session was routed to, if any, such as Cloudflare Tunnel or WARP device. |
cloudflare.EgressColoName |
text |
The name of the Cloudflare data center from which traffic egressed to the origin. |
cloudflare.EgressIP |
ip |
Source IP used when egressing traffic from Cloudflare to the origin. |
cloudflare.EgressPort |
number |
Source port used when egressing traffic from Cloudflare to the origin. |
cloudflare.EgressRuleID |
text |
Identifier of the egress rule that was applied by the Secure Web Gateway, if any. |
cloudflare.EgressRuleName |
text |
The name of the egress rule that was applied by the Secure Web Gateway, if any. |
cloudflare.IngressColoName |
text |
The name of the Cloudflare data center to which traffic ingressed. |
cloudflare.InitialOriginIP |
ip |
The IP used to correlate existing FQDN matching policy between Gateway DNS and Gateway proxy. |
cloudflare.Offramp |
text |
The type of destination to which the network session was routed. |
| Possible values are INTERNET | MAGIC | CFD_TUNNEL |
cloudflare.OriginTLSCertificateValidationResult |
text |
The result of validating the TLS certificate of the origin. |
| Possible values are VALID | EXPIRED | REVOKED |
cloudflare.OriginTLSCipher |
text |
TLS cipher suite used in the connection between Cloudflare and the origin. |
cloudflare.OriginTLSHandshakeDurationMs |
number |
Duration of handshaking the TLS connection between Cloudflare and the origin in milliseconds. |
cloudflare.OriginTLSVersion |
text |
TLS protocol version used in the connection between Cloudflare and the origin. |
cloudflare.RegistrationID |
text |
Identifier of the client registration which initiated the network session, if applicable (for example, WARP Registration ID). |
cloudflare.RuleEvaluationDurationMs |
number |
The duration taken by Secure Web Gateway applying applicable Network, HTTP, and Egress rules to the network session in milliseconds. |
cloudflare.SessionID |
text |
The identifier of this network session. |
cloudflare.VirtualNetworkID |
text |
Identifier of the virtual network configured for the client. |
destination.bytes |
long |
Bytes sent from the destination to the source. |
destination.domain |
keyword |
The domain name of the destination. |
destination.ip |
ip |
IP address of the destination. |
destination.nat.ip |
ip |
Destination NAT ip |
destination.port |
long |
Port of the destination. |
event.action |
keyword |
The action captured by the event. |
event.category |
keyword |
Event category. The second categorization field in the hierarchy. |
event.dataset |
keyword |
Name of the dataset. |
event.end |
date |
event.end contains the date when the event ended or when the activity was last observed. |
event.kind |
keyword |
The kind of the event. The highest categorization field in the hierarchy. |
event.reason |
keyword |
Reason why this event happened, according to the source |
event.start |
date |
event.start contains the date when the event started or when the activity was first observed. |
event.type |
keyword |
Event type. The third categorization field in the hierarchy. |
network.bytes |
long |
Total bytes transferred in both directions. |
network.protocol |
keyword |
Application protocol name. |
network.transport |
keyword |
Protocol Name corresponding to the field iana_number. |
observer.type |
keyword |
The type of the observer the data is coming from. |
observer.vendor |
keyword |
Vendor name of the observer. |
rule.id |
keyword |
Rule ID |
rule.name |
keyword |
Rule name |
source.bytes |
long |
Bytes sent from the source to the destination. |
source.ip |
ip |
IP address of the source. |
source.nat.ip |
ip |
Source NAT ip |
source.port |
long |
Port of the source. |
tls.cipher |
keyword |
String indicating the cipher used during the current connection. |
tls.server.x509.issuer.common_name |
keyword |
List of common name (CN) of issuing certificate authority. |
tls.version |
keyword |
Numeric part of the version parsed from the original string. |
user.email |
keyword |
User email address. |
user.id |
keyword |
Unique identifier of the user. |
For more information on the Intake Format, please find the code of the Parser, Smart Descriptions, and Supported Events here.